# gdcm::PrivateDict Class Reference

Private Dict. More...

`#include <gdcmDict.h>`

Collaboration diagram for gdcm::PrivateDict:
[legend]

List of all members.

## Public Member Functions
| PrivateDict ()
| ~PrivateDict ()
void | AddDictEntry (const PrivateTag &tag, const DictEntry &de)
const DictEntry & | GetDictEntry (const PrivateTag &tag) const
bool | IsEmpty () const
void | PrintXML () const
## Protected Member Functions
void | LoadDefault ()
## Friends
class | Dicts
std::ostream & | operator<< (std::ostream &os, const PrivateDict &val)

## Detailed Description

Private Dict.

## Constructor & Destructor Documentation

gdcm::PrivateDict::PrivateDict | ( |  | ) | `[inline]`

gdcm::PrivateDict::~PrivateDict | ( |  | ) | `[inline]`

## Member Function Documentation

void gdcm::PrivateDict::AddDictEntry | ( | const PrivateTag & | tag,
|  | const DictEntry & | de |
| ) |  |  | `[inline]`

References gdcm::DictEntry::GetVM(), gdcm::DictEntry::GetVR(), and gdcm::VR::UN.

const DictEntry& gdcm::PrivateDict::GetDictEntry | ( | const PrivateTag & | tag | ) | const`[inline]`

bool gdcm::PrivateDict::IsEmpty | ( |  | ) | const`[inline]`

void gdcm::PrivateDict::LoadDefault | ( |  | ) | `[protected]`

void gdcm::PrivateDict::PrintXML | ( |  | ) | const`[inline]`

References gdcm::Tag::GetElement(), gdcm::Tag::GetGroup(), gdcm::DictEntry::GetName(), gdcm::PrivateTag::GetOwner(), gdcm::DictEntry::GetVM(), and gdcm::DictEntry::GetVR().

## Friends And Related Function Documentation

friend class Dicts`[friend]`

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PrivateDict & | val |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmDict.h